## org.eclipse.amp.escape.amf.ide
Class ExecuteAMFHandler

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.core.commands.AbstractHandler
              org.eclipse.amp.escape.command.ResourceHandler
                  org.eclipse.amp.escape.command.ExecuteHandler
                      org.eclipse.amp.escape.amf.ide.ExecuteAMFHandler

All Implemented Interfaces:
  org.eclipse.core.commands.IHandler, org.eclipse.core.commands.IHandler2

Direct Known Subclasses:
  ExecuteAMF3DHandler, ExecuteAMFHeadlessHandler

    public class ExecuteAMFHandler

extends ExecuteHandler

Field Summary
`protected org.eclipse.core.resources.IResource` `modelResource`

Constructor Summary
`ExecuteAMFHandler()`
`ExecuteAMFHandler(boolean headless)`

Method Summary
`protected void` `executeOpen(EclipseEscapeRunner eclipseRunner, java.lang.Object executed, org.eclipse.core.runtime.IProgressMonitor monitor)` Execute open.
`SContext` `getModel()`
`protected java.lang.String` `getModelClass(SImplementation impl)`
`protected boolean` `handleSelect(java.lang.Object sel)` Handle select.

Methods inherited from class org.eclipse.amp.escape.command.ExecuteHandler
`createRunner, execute, isHeadless, setEnabled, setHeadless`

Methods inherited from class org.eclipse.amp.escape.command.ResourceHandler
`execute, execute, executeHandler, getMonitor, setMonitor`

Methods inherited from class org.eclipse.core.commands.AbstractHandler
`addHandlerListener, dispose, fireHandlerChanged, hasListeners, isEnabled, isHandled, removeHandlerListener, setBaseEnabled`

Methods inherited from class org.eclipse.core.commands.common.EventManager
`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### modelResource

    protected org.eclipse.core.resources.IResource modelResource

Constructor Detail

### ExecuteAMFHandler

    public ExecuteAMFHandler()

### ExecuteAMFHandler

    public ExecuteAMFHandler(boolean headless)

Method Detail

### executeOpen

    protected void executeOpen(EclipseEscapeRunner eclipseRunner,
                               java.lang.Object executed,
                               org.eclipse.core.runtime.IProgressMonitor monitor)

  Description copied from class: `ExecuteHandler`
  Execute open.

  Specified by:
    `executeOpen` in class `ExecuteHandler`
  Parameters:
    `eclipseRunner` - the eclipse runner
    `executed` - the executed scape resource/name
    `monitor` - the monitor

### getModelClass

    protected java.lang.String getModelClass(SImplementation impl)

### handleSelect

    protected boolean handleSelect(java.lang.Object sel)

  Description copied from class: `ExecuteHandler`
  Handle select.

  Specified by:
    `handleSelect` in class `ExecuteHandler`
  Parameters:
    `sel` - the sel
  Returns:
    true, if successful

### getModel

    public SContext getModel()

  Returns:
    the model